Subject: Re: Git feature request: Option to force Git to abort a checkout if working directory is dirty (i.e. disregarding the check for conflicts)

From: Junio C Hamano <[email-masked]>
Date: Mon, 31 Mar 2014 10:13:20 -0700

"Jonas Bang" <[email-masked]> writes:

>> For some people it is also a norm to keep files that have been modified from
>> HEAD and/or index without committing for a long time (e.g. earlier, Linus said
>> that the version in Makefile is updated and kept modified in the working tree
>> long before a new release is committed with that change).  The default
>> behaviour would cover their use case so your proposal would not hurt them,
>> but I wonder if there are things you could do to help them as well, perhaps
>> by allowing this new configuration to express something like "local changes in
>> these paths are except from this new check".
>
> Yes, those people would probably use the default 'false' behavior
> as it is already. If they however would like to use e.g. the
> 'true' or 'include-untracked' setting as a configuration variable,
> then they can use the command line option 'false' if they wish to
> do a 'git checkout' even with modified files in the working tree.

So in short, you are saying that "The added code necessary to
implement this feature will not help them in any way, it is just
that we will make sure it does not hurt them".